mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

To examine the exception-handling clauses in a method, obtain a object and call the method to obtain the method body. Use the property to obtain a list of objects.

Working with exception-handling clauses requires a thorough understanding of metadata and Microsoft intermediate language (MSIL) instruction formats. Information can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics" and "Partition III: CIL Instruction Set". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

Identifies kinds of exception-handling clauses.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ExceptionHandlingClauseOptions

  The clause accepts all exceptions that derive from a specified type.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ExceptionHandlingClauseOptions

  The clause is executed if an exception occurs, but not on completion of normal control flow.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ExceptionHandlingClauseOptions

  The clause contains user-specified instructions that determine whether the exception should be ignored (that is, whether normal execution should resume), be handled by the associated handler, or be passed on to the next clause.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ExceptionHandlingClauseOptions

  The clause is executed whenever the try block exits, whether through normal control flow or because of an unhandled exception.